events.listen('recipes', event => {
    event.shaped(item.of('appliedenergistics2:silicon_press', 1), [
        'BA ',
        'C  ',
        '   '
    ], {
        A: 'appliedenergistics2:sky_compass',
        B: '#forge:storage_blocks/iron',
        C: 'appliedenergistics2:sky_stone_block'
    })
    event.shaped(item.of('appliedenergistics2:calculation_processor_press', 1), [
        '   ',
        'A  ',
        'BC '
    ], {
        A: 'appliedenergistics2:sky_compass',
        B: '#forge:storage_blocks/iron',
        C: 'appliedenergistics2:sky_stone_block'
    })
    event.shaped(item.of('appliedenergistics2:engineering_processor_press', 1), [
        '   ',
        '  C',
        ' AB'
    ], {
        A: 'appliedenergistics2:sky_compass',
        B: '#forge:storage_blocks/iron',
        C: 'appliedenergistics2:sky_stone_block'
    })
    event.shaped(item.of('appliedenergistics2:logic_processor_press', 1), [
        ' CB',
        '  A',
        '   '
    ], {
        A: 'appliedenergistics2:sky_compass',
        B: '#forge:storage_blocks/iron',
        C: 'appliedenergistics2:sky_stone_block'
    })

    event.shapeless(item.of('appliedenergistics2:ender_dust', 1), ['thermal:ender_pearl_dust'])
    event.shapeless(item.of('thermal:ender_pearl_dust', 1), ['appliedenergistics2:ender_dust'])
})